#!/usr/bin/env escript

main(_) ->
  io:format("~p", [fib_seq(10)]).

fib(0) -> 0;
fib(1) -> 1;
fib(N) -> fib(N-1) + fib(N-2).

fib_seq(0) -> [fib(0)];
fib_seq(N) -> 
  fib_seq(N-1) ++ [fib(N)].
%Series where each element is the sum of previous two elements...
							